
Dashboard - Documentation #41396

mgr/dashboard: Add a dashboard specific endpoint which uses our general purpose API

08/22/2019 03:09 PM - Stephan Müller

Status: Resolved % Done: 0%

Priority: Normal   

Assignee: Stephan Müller   

Category: General   

Target version: v15.0.0   

Tags:  Affected Versions:  

Backport:  Pull request ID: 29819

Reviewed:    

Description

Currently there is no defined way how to create a dashboard specific endpoint that consumes existing endpoints.

Related issues:

Related to Dashboard - Cleanup #41372: mgr/dashboard: CephFs Tab Component Resolved

Related to Dashboard - Cleanup #41397: mgr/dashboard: Convert dashboard speci... New

History

#1 - 08/22/2019 03:26 PM - Stephan Müller

- Related to Cleanup #41372: mgr/dashboard: CephFs Tab Component added

#2 - 08/22/2019 03:28 PM - Stephan Müller

- Related to Cleanup #41397: mgr/dashboard: Convert dashboard specific endpoints into UiApiController added

#3 - 08/22/2019 03:29 PM - Stephan Müller

- Pull request ID set to 29819

#4 - 08/23/2019 09:20 AM - Volker Theile

- Description updated

#5 - 08/29/2019 01:49 PM - Stephan Müller

- Status changed from In Progress to 4

#6 - 09/16/2019 01:37 PM - Lenz Grimmer

- Status changed from 4 to Resolved

#7 - 04/15/2021 05:26 PM - Ernesto Puerta

- Project changed from mgr to Dashboard

- Category changed from 132 to General
